import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Mooborn.Slugtimer.Timerarea";


Timer=Timerarea();
Slugtimer = Turbine.ShellCommand();

Turbine.Shell.AddCommand("Slugtimer", Slugtimer);

function Slugtimer:Execute(cmd, args)

    if (args == "") then
		Timer:SetDuration(Timer.settings.dur);
		Timer:ResetTimer();
		Timer:SetVisible(true);

	else
		local dur = tonumber(args);
		if (dur~=nil) then
			if dur < 5 then dur = 5;
			elseif dur > 999 then dur = 999;
			end
		else
			dur=60;
		end

		Timer:SetDuration(dur);
		Timer:ResetTimer();
		Timer:SetVisible(true);

    end
end

Turbine.Shell.WriteLine("Slugtimer v1.0.1 by mooborn\n usage: /Slugtimer [sec(5-999)]");
